ldconfig(8)

NAZWA
ldconfig - konfiguruje powiązania konsolidacyjne czasu uruchamiania

SKŁADNIA
/sbin/ldconfig [-nNvVX] [-C bufor] [-f plik-konfiguracyjny] [-r katalog-główny] katalog ...
/sbin/ldconfig -l [-v] biblioteka ...
/sbin/ldconfig -p

OPIS
ldconfig tworzy potrzebne dowiązania i bufor do najnowszych bibliotek dzielonych, które znajdzie w katalogach podanych w linii poleceń, w pliku /etc/ld.so.conf oraz w zaufanych katalogach /lib i /usr/lib. Na niektórych architekturach 64-bitowych, takich jak x86-64, /lib i /usr/lib są zaufanymi katalogami dla bibliotek 32-bitowych, a /lib64 i /usr/lib64 są używane dla bibliotek 64-bitowych.

Bufor jest używany przez konsolidator czasu uruchamiania: ld.so lub ld-linux.so. ldconfig sprawdza nagłówki i nazwy plików badanych bibliotek, aby określić, które wersje powinny mieć odnowione linki. ldconfig powinien być zwykle uruchomiony przez supeużytkownika, jako że może wymagać uprawnień zapisu do pewnych plików i katalogów będących własnością roota.

ldconfig będzie szukał plików nazwanych lib*.so* (gdy chodzi o zwykłe obiekty współdzielone) lub ld-*.so* (gdy chodzi o samego dynamicznego konsolidatora). Pozostałe pliki są ignorowane. ldconfig będzie również oczekiwał określonego wzorca konfiguracji linków symbolicznych, jak w poniższym przykładzie, gdzie środkowy plik (tu libfoo.so.1) jest SONAME dla biblioteki:

    libfoo.so -> libfoo.so.1 -> libfoo.so.1.12

W przypadku niekorzystania z tego wzorca, można napotkać problemy z kompatybilnością po aktualizacji.

OPCJE

--format=format
-c format
    (od glibc 2.2) Używa bufora w formacie format, który może być jednym z: old, new lub compat. Od glibc 2.32 domyślny jest new. Wcześniejszą wartością domyślną było compat.

-C bufor
    Używa bufora zamiast /etc/ld.so.cache.

-f plik-konfiguracyjny
    Używa pliku-konfiguracyjnego zamiast /etc/ld.so.conf.

--ignore-aux-cache
-i
    (od glibc 2.7) Ignoruje dodatkowy plik bufora.

-l  (od glibc 2.2) Interpretuje każdy argument jako nazwę biblioteki i konfiguruje jej linkowania. Przeznaczone tylko dla ekspertów.

-n  Przetwarza wyłącznie katalogi podane w linii poleceń; nie przetwarza katalogów zaufanych ani tych, podanych w /etc/ld.so.conf. Wymusza -N.

-N  Nie przebudowuje bufora. O ile nie podano -X, linki są wciąż odnawiane.

--print-cache
-p
    Wyświetla listę katalogów i biblioteki, przechowywane w bieżącym buforze.

-r katalog-główny
    Zmienia katalog główny na katalog-główny i używa go.

--verbose
-v
    Tryb szczegółowy. Wyświetla bieżący numer wersji, nazwę każdego skanowanego katalogu i każdy tworzony link. Unieważnia tryb cichy.

--version
-V
    Wyświetla wersję programu.

-X  Nie odnawia linków. O ile nie podano -N, bufor jest wciąż przebudowywany.

PLIKI
/lib/ld.so
    jest konsolidatorem czasu uruchamiania.
/etc/ld.so.conf
    zawiera listę katalogów, po jednym w wierszu, wskazujących, gdzie szukać bibliotek.
/etc/ld.so.cache
    zawiera uporządkowaną listę bibliotek, znalezionych w katalogach wymienionych w /etc/ld.so.conf oraz w zaufanych katalogach.

ZOBACZ TAKŻE
ldd(1), ld.so(8)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.